curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/ehr_integration/member \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_member_id": "user_456",
"name": "Alex Kim",
"email": "alex@example.com",
"avatar": "https://example.com/avatar.png",
"team_role_bindings": []
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_member_id": "<string>",
"name": "<string>",
"email": "<string>",
"avatar": "<string>",
"team_role_bindings": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Members
Create Integration-Managed Member
Create an integration-managed member that can sign in through Junction Connect launch flows.
POST
/
v1
/
org
/
{org_id}
/
ehr_integration
/
member
curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/ehr_integration/member \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_member_id": "user_456",
"name": "Alex Kim",
"email": "alex@example.com",
"avatar": "https://example.com/avatar.png",
"team_role_bindings": []
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_member_id": "<string>",
"name": "<string>",
"email": "<string>",
"avatar": "<string>",
"team_role_bindings": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/ehr_integration/member \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_member_id": "user_456",
"name": "Alex Kim",
"email": "alex@example.com",
"avatar": "https://example.com/avatar.png",
"team_role_bindings": []
}'
Authorizations
Path Parameters
Body
application/json
Was this page helpful?